import { Component } from '@angular/core';
import { WatchlistManager } from 'app/shared/watchlist/watchlist-manager';
import { IUserWatchList, UserWatchListWithContent } from 'app/shared/model/user-watch-list.model';

@Component({
  selector: 'jhi-bookmark-info',
  templateUrl: './bookmarkInfo.component.html',
  styleUrls: ['./bookmarkInfo.component.scss'],
})
export class BookmarkInfoComponent {
  constructor(private watchlistManager: WatchlistManager) {}

  getMyWatchLists(): IUserWatchList[] | undefined {
    return this.watchlistManager.getMyWatchLists();
  }

  getCurrentWatchList(): UserWatchListWithContent | undefined {
    return this.watchlistManager.getCurrentWatchList();
  }

  setCurrentWatchList(watchListName: string): void {
    this.watchlistManager.setCurrentWatchList(watchListName);
  }

  handleForCurrentWatchlist(exerciseId: string) {
    alert(exerciseId);
  }
}
