import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

import { SERVER_API_URL } from 'app/app.constants';

export interface Message {
  message: string;
}

/**
 provides infrastructure services for Plugins
 */
@Injectable({ providedIn: 'root' })
export class TestService {
  public triggerInfoMailURL = SERVER_API_URL + 'api/triggerInfoMail';

  constructor(protected http: HttpClient) {}

  public triggerInfoMail(): Observable<Message> {
    return this.http.get<Message>(this.triggerInfoMailURL);
  }

}
