package at.ac.uibk.gitsearch;

import com.tngtech.archunit.core.domain.JavaClasses;
import com.tngtech.archunit.core.importer.ClassFileImporter;
import com.tngtech.archunit.core.importer.ImportOption;
import org.junit.jupiter.api.Test;

import static com.tngtech.archunit.lang.syntax.ArchRuleDefinition.noClasses;

class ArchTest {

    @Test
    void servicesAndRepositoriesShouldNotDependOnWebLayer() {

        JavaClasses importedClasses = new ClassFileImporter()
            .withImportOption(ImportOption.Predefined.DO_NOT_INCLUDE_TESTS)
            .importPackages("at.ac.uibk.gitsearch");

        noClasses()
            .that()
                .resideInAnyPackage("at.ac.uibk.gitsearch.service..")
            .or()
                .resideInAnyPackage("at.ac.uibk.gitsearch.repository..")
            .should().dependOnClassesThat()
                .resideInAnyPackage("..at.ac.uibk.gitsearch.web..")
        .because("Services and repositories should not depend on web layer")
        .check(importedClasses);
    }
}
